Implement Lemma in Lexeme
Closed, ResolvedPublic

Description

Per https://www.wikidata.org/wiki/Wikidata:Wiktionary/Development/Proposals/2015-05

We talked about it with @WMDE-leszek and we think: Lemma should be a Term.

  • Add provider interface
  • Add to entity as an attribute and add getter and setter
  • Add to content as part of isstub
  • Add to Special:NewEntity
  • Consider in equals() method
  • Consider in __clone() method
  • Consider in isEmpty() method
  • Add to serializer
  • Add to deserializer
  • Add to patcher
  • Add to differ
  • Add support in EntityView
  • Add to RDF mapping (not currently pluggable!)
  • Add Validation (not currently pluggable)
  • Add ChangeOp for updating (must work with wbeditentity)
  • Add handling (or suppression) to EntityChangeFactory (not currently pluggable)

Related Objects

Restricted Application added projects: Wikidata, User-Ladsgroup. · View Herald TranscriptOct 21 2016, 11:08 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Ladsgroup renamed this task from Implement Lemma, Lexical category and Language to Implement Lemma in Lexeme.Oct 29 2016, 9:11 PM
Ladsgroup updated the task description. (Show Details)
Ladsgroup moved this task from doing to proposed on the WMDE-TLA-Team board.
daniel moved this task from proposed to accepted on the WMDE-TLA-Team board.Nov 1 2016, 1:38 PM
Jakob_WMDE moved this task from accepted to doing on the WMDE-TLA-Team board.Nov 15 2016, 12:54 PM

Change 322073 had a related patch set uploaded (by Ladsgroup):
First pass on Lemma

https://gerrit.wikimedia.org/r/322073

Ladsgroup moved this task from Proposed to Doing on the Wikidata-Sprint board.Nov 18 2016, 10:28 AM

Change 322073 merged by jenkins-bot:
First pass on Lemma

https://gerrit.wikimedia.org/r/322073

Ladsgroup updated the task description. (Show Details)Nov 22 2016, 3:42 PM

Change 323125 had a related patch set uploaded (by Ladsgroup):
The second pass on Lexeme

https://gerrit.wikimedia.org/r/323125

Ladsgroup updated the task description. (Show Details)Nov 23 2016, 9:44 AM
Ladsgroup moved this task from Doing to Review on the Wikidata-Sprint board.Nov 23 2016, 10:00 AM
Ladsgroup moved this task from In progress to Blocked on others on the User-Ladsgroup board.

Change 323144 had a related patch set uploaded (by Ladsgroup):
Make Differ work with Lemma

https://gerrit.wikimedia.org/r/323144

daniel added a subscriber: daniel.

It's unclear from the task description whether it is asking for a preliminary implementation (for alpha testing), which can be "faked" using labels, or whether it's asking for a full, proper implementation, including a plugin interface for RDF mappings of labels, etc. I propose to split the task, to make explicit the blockers for alpha vs the decent implementation.

Change 323125 merged by jenkins-bot:
Add lemma to Lexeme model

https://gerrit.wikimedia.org/r/323125

Change 323144 merged by jenkins-bot:
Make Differ work with Lemma

https://gerrit.wikimedia.org/r/323144

Ladsgroup moved this task from Review to Doing on the Wikidata-Sprint board.Nov 29 2016, 9:54 AM
Ladsgroup updated the task description. (Show Details)Nov 29 2016, 10:52 AM

Change 324116 had a related patch set uploaded (by Ladsgroup):
Make Lemma a TermList and rename it to Lemmata (plural)

https://gerrit.wikimedia.org/r/324116

Ladsgroup moved this task from Doing to Review on the Wikidata-Sprint board.Nov 29 2016, 10:53 AM

Change 324116 merged by jenkins-bot:
Make Lemma a TermList and rename it to Lemmata (plural)

https://gerrit.wikimedia.org/r/324116

Change 324400 had a related patch set uploaded (by Ladsgroup):
Make Lemma work with LexemeView

https://gerrit.wikimedia.org/r/324400

Change 324400 merged by jenkins-bot:
Make Lemma work with LexemeView

https://gerrit.wikimedia.org/r/324400

Ladsgroup updated the task description. (Show Details)Dec 1 2016, 2:52 PM
Ladsgroup moved this task from Review to Done on the Wikidata-Sprint board.Dec 2 2016, 12:18 PM
thiemowmde closed this task as Resolved.Jan 3 2017, 1:29 PM